package online.wesal.wesal.dto;

import java.util.List;

public class CategorizedInvitationsResponse {
    
    private List<InvitationResponse> created;
    private List<InvitationResponse> accepted;
    private List<InvitationResponse> available;
    
    public CategorizedInvitationsResponse() {}
    
    public CategorizedInvitationsResponse(List<InvitationResponse> created, 
                                        List<InvitationResponse> accepted, 
                                        List<InvitationResponse> available) {
        this.created = created;
        this.accepted = accepted;
        this.available = available;
    }
    
    public List<InvitationResponse> getCreated() {
        return created;
    }
    
    public void setCreated(List<InvitationResponse> created) {
        this.created = created;
    }
    
    public List<InvitationResponse> getAccepted() {
        return accepted;
    }
    
    public void setAccepted(List<InvitationResponse> accepted) {
        this.accepted = accepted;
    }
    
    public List<InvitationResponse> getAvailable() {
        return available;
    }
    
    public void setAvailable(List<InvitationResponse> available) {
        this.available = available;
    }
}